/**
 *  Copyright © 2025, Luis Andrés Lange <https://javacomm.net>
 *
 *  Previously released under Apache License 2.0; now licensed under MPL 2.0.
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.protocol;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;



public class CHATUSERLIST extends MESSAGE {

  public final static String CHATUSER = "CHATUSER";
  public final static String ROOM = "ROOM";

  private String userid;
  private ChatUser chatuser[];

  public void setRoom(String value) {
    userid = value;
  }



  public String getRoom() {
    return userid;
  }



  public void setChatUser(ChatUser value[]) {
    chatuser = value;
  }



  public ChatUser[] getChatUser() {
    return chatuser;
  }



  public String toString() {
    GsonBuilder builder = new GsonBuilder();
    builder.registerTypeAdapter(CHATUSERLIST.class, new ChatUserlistSerializer())
        .registerTypeAdapter(ChatUser.class, new ChatUserSerializer());
    Gson gson = builder.create();
    return gson.toJson(this);
  }

}
